function mrkcorr = mSrho(x,y) 

% Function to compute rank correlation between x and y


[T N] = size(x) ;

mean_x = sum(x)/T ;
mean_y = sum(y)/T ;

numer  = (x - mean_x).*(y - mean_y) ;
deno   = sqrt( (sum((x - mean_x).^2)/T)* ...
               (sum((y - mean_y).^2)/T) ) ;
           
 mrkcorr = numer/deno ;

 