function ghat = ghatev(theta,simfunc,other,momfunc,y)

% Function to compute the SMM objective function term g_hat



ytilde = feval(simfunc,theta,other);  % simulating data from the copula model at the proposed parameter value

mhat   = feval(momfunc,y);  % the vector moments on the original data
mtilde = feval(momfunc,ytilde);  % the vector of moments on the simulated data

ghat = mhat - mtilde;  % the difference between the two vectors of moments

